gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libeufin-deployment] branch master updated: more on adding new worker


From: gnunet
Subject: [libeufin-deployment] branch master updated: more on adding new worker
Date: Mon, 23 Nov 2020 19:28:42 +0100

This is an automated email from the git hooks/post-receive script.

ms pushed a commit to branch master
in repository libeufin-deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 7c5e344  more on adding new worker
7c5e344 is described below

commit 7c5e344470bb19e9f7ba2618ae40f62535811d19
Author: MS <ms@taler.net>
AuthorDate: Mon Nov 23 19:28:38 2020 +0100

    more on adding new worker
---
 buildbot/master.cfg |  3 ++-
 buildbot/prepare.sh | 56 ++++++++++++++++++++++++++++++++---------------------
 2 files changed, 36 insertions(+), 23 deletions(-)

diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index d794d26..e1c88da 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -35,7 +35,8 @@ c["buildbotNetUsageData"] = "basic"
 
 c["workers"] = [
     worker.Worker("unittests-worker", "unittests-pass"),
-    worker.Worker("integration-tests-worker", "integration-tests-pass")
+    worker.Worker("integration-tests-worker", "integration-tests-pass"),
+    worker.Worker("parsing-tests-worker", "parsing-tests-pass")
 ]
 
 c["protocols"] = {"pb": {"port": "tcp:9990:interface=127.0.0.1"}}
diff --git a/buildbot/prepare.sh b/buildbot/prepare.sh
index 9f92fc5..4dc2ec3 100755
--- a/buildbot/prepare.sh
+++ b/buildbot/prepare.sh
@@ -8,28 +8,40 @@ if ! test -d $HOME/libeufin-deployment; then
 fi
 
 # make master
-buildbot create-master $HOME/buildbot_master/
-ln -s $HOME/libeufin-deployment/buildbot/master.cfg $HOME/buildbot_master/
+if ! test -d $HOME/buildbot_master/; then
+  buildbot create-master $HOME/buildbot_master/
+  ln -s $HOME/libeufin-deployment/buildbot/master.cfg $HOME/buildbot_master/
+fi
 
-buildbot-worker create-worker \
-  --umask=0o22 \
-  $HOME/unittests_worker/ \
-  localhost:9990 \
-  unittests-worker \
-  unittests-pass
+# make unittest worker
+if ! test -d $HOME/unittests_worker/; then
+  buildbot-worker create-worker \
+    --umask=0o22 \
+    $HOME/unittests_worker/ \
+    localhost:9990 \
+    unittests-worker \
+    unittests-pass
+fi
 
-buildbot-worker \
-  create-worker \
-  --umask=0o22 \
-  $HOME/integration_tests_worker/ \
-  localhost:9990 \
-  integration-tests-worker \
-  integration-tests-pass
 
-buildbot-worker \
-  create-worker \
-  --umask=0o22 \
-  $HOME/parsing_tests_worker/ \
-  localhost:9990 \
-  parsing-tests-worker \
-  parsing-tests-pass
+# make integration tests worker
+if ! test -d $HOME/integration_tests_worker/; then
+  buildbot-worker \
+    create-worker \
+    --umask=0o22 \
+    $HOME/integration_tests_worker/ \
+    localhost:9990 \
+    integration-tests-worker \
+    integration-tests-pass
+fi
+
+# make parse-worker
+if ! test -d $HOME/parsing_tests_worker/; then
+  buildbot-worker \
+    create-worker \
+    --umask=0o22 \
+    $HOME/parsing_tests_worker/ \
+    localhost:9990 \
+    parsing-tests-worker \
+    parsing-tests-pass
+fi

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]